python3系でPIL(Pyhon Imaging Libary)の環境構築

プログラミング
O’Reillyの「コンピュータビジョン」を参考に画像処理やってみようと思ったところ、PILのインストールで少しハマったので忘備録。

動作環境

・JetBrains PyCharm Community Edition 2018.2.4 x64
・python 3.6

インストールエラー

いつも通りpycharmからPILライブラリ探して、インストールしてみたら
下記のエラーが発生。
PILをインストールするための条件を満たしてない?バージョンが違う?
なんのこっちゃ分からず。。

解決方法

原因探してみたら、PILはPython2.7までしかサポートされてないことがわかりました。
Python3系では、PIL(Python Imaging Library)のforkプロジェクトであるPillowが対応しているとのこと。使い方も従来のPILと同様らしいです。

結論

Python3系でPILを使うときは、Pillowをインストールしましょう。
タイトルとURLをコピーしました